.contact_form h3 {
	color: black;
}

.contact_form ul {
    width:100%;
    list-style-type:none;
    list-style-position:outside;
    margin:0;
    padding:0;
	text-align:left;
}
.contact_form li{
    padding:0.7em; 
    border-bottom:0.1em solid #efe;
    position:relative;
}

.contact_form li:first-child, .contact_form li:last-child {
    border-bottom:0.1em solid darkgreen;
}

.contact_form label {
    width:9em;
    margin-top: 0.18em;
    display:inline-block;
    float:left;
    padding:0.18em;
}
.contact_form input {
    height:1.3em; 
    width:15em; 
    padding:0.3em 0.5em;
}
.contact_form textarea {padding:0.5em; width:18.75em; max-width:25em;}

.contact_form input, .contact_form textarea { 
    border:0.1em solid #aaa;
    box-shadow: 0 0 0.18em black, 0 0.6em 0.9em green inset;
    border-radius:0.1em;
	padding-right:1.8em;
}
.contact_form input:focus, .contact_form textarea:focus {
    background: #efe; 
    border:0.1em solid #555; 
    box-shadow: 0 0 0.18em red; 
}
/* Button Style für Formular und Kalender Buttons */
button.submit {
    background-color: green;
    background: -webkit-gradient(linear, left top, left bottom, from(#6b2), to(#591));
    background: -webkit-linear-gradient(top, #6b2, #591);
    background: -moz-linear-gradient(top, #6b2, #591);
    background: -ms-linear-gradient(top, #6b2, #591);
    background: -o-linear-gradient(top, #6b2, #591);
    background: linear-gradient(top, #6b2, #591);
    border: 0.1em solid #591;
    border-bottom: 0.1em solid #592;
    border-radius: 0.18em;
    -webkit-border-radius: 0.18em;
    -moz-border-radius: 0.18em;
    -ms-border-radius: 0.18em;
    -o-border-radius: 0.18em;
    box-shadow: inset 0 0.1em 0 0 darkgreen;
    -webkit-box-shadow: 0 0.1em 0 0 darkgreen inset ;
    -moz-box-shadow: 0 0.1em 0 0 darkgreen inset;
    -ms-box-shadow: 0 0.1em 0 0 darkgreen inset;
    -o-box-shadow: 0 0.1em 0 0 darkgreen inset;
    color: white;
    font-weight: bold;
    padding: 0.38em 1.25em;
    text-align: center;
    text-shadow: 0 -0.1em 0 darkgreen;
}
button.submit:hover {
    opacity:.85;
    cursor: pointer; 
}
button.submit:active {
    border: 0.1em solid #291;
    box-shadow: 0 0 0.6em 0.3em #592 inset; 
    -webkit-box-shadow:0 0 0.6em 0.3em #592 inset ;
    -moz-box-shadow: 0 0 0.6em 0.3em #592 inset;
    -ms-box-shadow: 0 0 0.6em 0.3em #592 inset;
    -o-box-shadow: 0 0 0.6em 0.3em #592 inset;     
}

/* Alle anderen Buttons */
button.auge {
	position: relative;
	width: 2.5em;
	height: 1.5em;
	border-radius: 0.3em;
	cursor: pointer;
	border: none;	
	margin-left: 0.5em;
	background-color: #6a6;
}

button.auge img {
	width: 2.5em;
	height: 1.5em;
	border-radius: 0.3em;
}

.contact_form input:focus:invalid, .contact_form textarea:focus:invalid { /* when a field is considered invalid by the browser */
    background-color:#c99;
    box-shadow: 0 0 0.3em #d45;
    border-color: red;
}

.contact_form input:required:valid, .contact_form textarea:required:valid { /* when a field is considered valid by the browser */
    background-color: #9c9;
    box-shadow: 0 0 0.3em #5d5;
    border-color: green;
}

.unsichtbar {
	position: absolute;
	left: -10em;
	width: 0.1em;
	height: 0.1em;
	overflow: hidden;
	display:inline;
}

.form_hint {
    background: #d45;
    border-radius: 0.18em 0.18em 0.18em 0.18em;
    color: white;
    margin-left:0.5em;
    padding: 0.1em 0.37em;
   /* z-index: 999; /* hints stay above all other elements */
    position: absolute; /* allows proper formatting if hint is two lines */
    display: none;
}

.form_hint:before {
    content: "\25C0"; /* left point triangle in escaped unicode */
    color:#d45;
    position: absolute;
    top:0.1em;
    left:-0.37em;
}

 /* Farbgebung für fehlerhafte Eingaben */
.eingabefeld {
	background-color: white;
}

.eingabefeldred {
	background-color: #fcb;
}

.asterisk {
	color: black;
}

.asteriskred {
	color: red;
}



